

Cc: Nick Piggin <nickpiggin@yahoo.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/mempool.c |    2 +-
 mempolicy.c  |    0 
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/mempolicy.c~mempool-simplify-alloc-fix mm/mempolicy.c
diff -puN mm/mempool.c~mempool-simplify-alloc-fix mm/mempool.c
--- 25/mm/mempool.c~mempool-simplify-alloc-fix	2005-04-26 05:54:32.498473408 -0700
+++ 25-akpm/mm/mempool.c	2005-04-26 05:54:44.828598944 -0700
@@ -206,7 +206,7 @@ void * mempool_alloc(mempool_t *pool, un
 	gfp_mask |= __GFP_NORETRY;	/* don't loop in __alloc_pages */
 	gfp_mask |= __GFP_NOWARN;	/* failures are OK */
 
-	gfp_temp = gfp_mask & ~__GFP_WAIT;
+	gfp_temp = gfp_mask & ~(__GFP_WAIT|__GFP_IO);
 
 repeat_alloc:
 
_
